Bug 1503660 - UI: Proper task name should be there when initiate Provider refresh.
Summary: UI: Proper task name should be there when initiate Provider refresh.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: James Wong
QA Contact: Tasos Papaioannou
URL:
Whiteboard: ui
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-18 14:24 UTC by Satyajit Bulage
Modified: 2019-02-07 23:00 UTC (History)
9 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:00:32 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
Screenshot showing actual results (129.91 KB, image/png)
2017-10-18 14:24 UTC, Satyajit Bulage
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:00:38 UTC

Description Satyajit Bulage 2017-10-18 14:24:00 UTC
Created attachment 1340221 [details]
Screenshot showing actual results

Description of problem:


Version-Release number of selected component (if applicable):5.9.0.2.20171010190026_0413a06


How reproducible:100%


Steps to Reproduce:
1. Add provider
2. Initiate Refresh on that Provider
3. Navigate User's dropdown --> Tasks

Actual results: Task name is showing full provider path under All Tasks or My Tasks


Expected results: Proper task name should be there.


Additional info: See attached screenshot.

Comment 3 James Wong 2017-12-05 00:50:55 UTC
Satyajit,

How about format the task name as follows?

EmsRefresh(ems_0000000000001) [[["Vm", 30], ["Vm", 31]]]

regards
James

Comment 5 Satyajit Bulage 2017-12-05 08:47:45 UTC
(In reply to James Wong from comment #3)
> Satyajit,
> 
> How about format the task name as follows?
> 
> EmsRefresh(ems_0000000000001) [[["Vm", 30], ["Vm", 31]]]
> 
> regards
> James

Looks ok.

Thanks,
Satyajit.

Comment 6 CFME Bot 2018-01-18 20:11:45 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/2d7e45068a28b47e327684274ce32c6877dcc03a

commit 2d7e45068a28b47e327684274ce32c6877dcc03a
Author:     James Wong <jwong@redhat.com>
AuthorDate: Mon Dec 4 19:43:37 2017 -0500
Commit:     James Wong <jwong@redhat.com>
CommitDate: Tue Dec 12 09:16:59 2017 -0500

    EmsRefresh task name to use demodularize classname
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1503660

 app/models/ems_refresh.rb       |  1 +
 spec/models/ems_refresh_spec.rb | 13 ++++++++++++-
 2 files changed, 13 insertions(+), 1 deletion(-)

Comment 7 Tasos Papaioannou 2018-10-15 15:48:11 UTC
Verified on 5.10.0.19.

Comment 8 errata-xmlrpc 2019-02-07 23:00:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.